Run Workflow

Run Workflow
Start Workflow Run

Start Workflow Run.

Request
URI
POST
https://{vcfa-fqdn}/vro/runs
COPY
Request Body
execution-context of type(s) application/json
Required
{
    "executionId": "string",
    "workflowId": "string",
    "parameters": [
        {
            "value": {
                "elements": [
                    {
                        "objectType": "string",
                        "elements": [
                            {}
                        ]
                    }
                ]
            },
            "name": "string",
            "type": "string",
            "description": "string",
            "scope": "string"
        }
    ],
    "constraint": {
        "conditions": [
            {
                "type": "string",
                "enforcement": "string",
                "occurrence": "string",
                "expression": {
                    "propertyName": "string",
                    "propertyType": "string",
                    "matchValue": "string",
                    "matchType": "string",
                    "range": {
                        "type": "string",
                        "min": {},
                        "max": {},
                        "isMinInclusive": false,
                        "isMaxInclusive": false,
                        "precisionStep": 0
                    },
                    "sortOrder": "string"
                }
            }
        ]
    },
    "projectId": "string",
    "actionName": "string"
}
string
executionId
Optional

executionId

string
workflowId
Optional

workflowId

array of object
parameters
Optional

parameters

object
constraint
Optional

constraint

string
projectId
Optional

projectId

string
actionName
Optional

actionName

Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Operation doesn't return any data structure

400

Bad Request

Returns ServiceErrorResponse of type(s) */*
{
    "message": "string",
    "messageId": 0,
    "stackTrace": [
        "string"
    ],
    "statusCode": 0,
    "errorCode": 0
}

403

Forbidden

Returns BriefServiceErrorResponse of type(s) */*
{
    "message": "string"
}

404

Not Found

Returns BriefServiceErrorResponse of type(s) */*
{
    "message": "string"
}

409

Conflict

Returns BriefServiceErrorResponse of type(s) */*
"BriefServiceErrorResponse Object"
string
message
Optional

message


417

Expectation Failed

Returns BriefServiceErrorResponse of type(s) */*
"BriefServiceErrorResponse Object"
string
message
Optional

message


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/vro/runs